<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___c_t_s__definitions" kind="group">
    <compoundname>group_ble_service_api_CTS_definitions</compoundname>
    <title>CTS Definitions and Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__ble__cts__current__time__t">cy_stc_ble_cts_current_time_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__cts__local__time__info__t">cy_stc_ble_cts_local_time_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__cts__reference__time__info__t">cy_stc_ble_cts_reference_time_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__cts__char__value__t">cy_stc_ble_cts_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__cts__descr__value__t">cy_stc_ble_cts_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ctss__t">cy_stc_ble_ctss_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ctsc__t">cy_stc_ble_ctsc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ctss__config__t">cy_stc_ble_ctss_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ctsc__config__t">cy_stc_ble_ctsc_config_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___c_t_s__definitions_1gab28471deec0e479464134b4c4c8309f5" kind="enum" prot="public" static="no">
        <name>cy_en_ble_cts_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___c_t_s__definitions_1ggab28471deec0e479464134b4c4c8309f5a71daec6fcfd4ff0eb5bc5ff45962645c" prot="public">
          <name>CY_BLE_CTS_CURRENT_TIME</name>
          <briefdescription>
<para>Current Time Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_t_s__definitions_1ggab28471deec0e479464134b4c4c8309f5ac02125e461dbaccc1ccf3f8ab6688916" prot="public">
          <name>CY_BLE_CTS_LOCAL_TIME_INFO</name>
          <briefdescription>
<para>Local Time Information Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_t_s__definitions_1ggab28471deec0e479464134b4c4c8309f5a50d4eed611cf024f4a07b7c60cc86c7a" prot="public">
          <name>CY_BLE_CTS_REFERENCE_TIME_INFO</name>
          <briefdescription>
<para>Reference Time Information Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_t_s__definitions_1ggab28471deec0e479464134b4c4c8309f5aef0c7d62da016cb10ba5bed8e616d92d" prot="public">
          <name>CY_BLE_CTS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of Current Time Service Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_cts_char_index_t: </bold><linebreak />Service Characteristics indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="121" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="115" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="116" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_t_s__definitions_1ga7b76c9e806cf77a56bff5932f438166f" kind="enum" prot="public" static="no">
        <name>cy_en_ble_cts_char_descriptors_t</name>
        <enumvalue id="group__group__ble__service__api___c_t_s__definitions_1gga7b76c9e806cf77a56bff5932f438166fa485e2f2b4169d0f84bba6c43683e7051" prot="public">
          <name>CY_BLE_CTS_CURRENT_TIME_CCCD</name>
          <briefdescription>
<para>Current Time Client Characteristic configuration descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_t_s__definitions_1gga7b76c9e806cf77a56bff5932f438166fa04a56cb33c67097c7ee131ac7c996340" prot="public">
          <name>CY_BLE_CTS_COUNT</name>
          <briefdescription>
<para>Total Count of Current Time Service Characteristic descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_cts_char_descriptors_t: </bold><linebreak />Service Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="128" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="124" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="125" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the CTS specific definitions and data structures used in the CTS API. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>